{% load custom_tags_and_filters %}
{% for project in projects %}
    {% with billing_detail=project.projectbillingdetails %}
        <div id="project_edit_button_{{ project.id }}"
             style="position: relative;
                    display: inline;
                    margin-left: 10px">
            {% url 'invoices_edit_project' project.id as edit_project_url %}
            {% button type="edit" size="xsmall" style="position: absolute" value="Edit" url=edit_project_url %}
        </div>
        <div id="project_{{ project.id }}_billing_details" style="display: none">
            {% if billing_detail.project_name and billing_detail.project_name != billing_detail.project.name %}
                <div>
                    <label class="control-label">Billing name:</label>
                    <span class="grey">{{ billing_detail.project_name }}</span>
                </div>
            {% endif %}
            {% if billing_detail.expires_on %}
                <div>
                    <label class="control-label">Expires:</label>
                    <span class="grey">{{ billing_detail.expires_on|date }}</span>
                </div>
            {% endif %}
            {% if rate_categories %}
                <div>
                    <label class="control-label">Category:</label>
                    <span class="grey">{{ billing_detail.category }}</span>
                </div>
            {% endif %}
            {% if billing_detail.institution %}
                <div>
                    <label class="control-label">Institution:</label>
                    <span class="grey">{{ billing_detail.institution }}</span>
                </div>
            {% endif %}
            {% if billing_detail.department %}
                <div>
                    <label class="control-label">Department:</label>
                    <span class="grey">{{ billing_detail.department }}</span>
                </div>
            {% endif %}
            {% if billing_detail.staff_host %}
                <div>
                    <label class="control-label">Staff host:</label>
                    <span class="grey">{{ billing_detail.staff_host }}</span>
                </div>
            {% endif %}
            <div>
                <label class="control-label">Contact:</label>
                <span class="grey">{{ billing_detail.contact_name|default_if_none:'' }}</span>
            </div>
            <div>
                <label class="control-label">Email:</label>
                <span class="grey">{{ billing_detail.contact_email|join:', ' }}</span>
            </div>
            <div>
                <label class="control-label">Phone:</label>
                <span class="grey">{{ billing_detail.contact_phone|default_if_none:'' }}</span>
            </div>
            {% if billing_detail.no_charge %}
                <div>
                    <label class="control-label">No charge:</label>
                    <span class="grey">Invoices will NOT be created for this project</span>
                </div>
            {% endif %}
            {% if billing_detail.no_tax %}
                <div>
                    <label class="control-label">No tax:</label>
                    <span class="grey">This project is tax exempt</span>
                </div>
            {% endif %}
            <div>
                <label class="control-label"
                       {% if billing_detail.adressee or not billing_detail.comments %}style="margin-bottom: 0"{% endif %}>
                    Addressee:
                </label>
                <div class="grey" {% if billing_detail.comments %}style="margin-bottom: 5px"{% endif %}>
                    {{ billing_detail.addressee|default_if_none:''|linebreaksbr }}
                </div>
            </div>
            {% if billing_detail.comments %}
                <div>
                    <label class="control-label" style="margin-bottom: 0">Comments:</label>
                    <div class="grey">{{ billing_detail.comments|linebreaksbr }}</div>
                </div>
            {% endif %}
        </div>
        <script>
			let edit_button_{{ project.id }} = document.getElementById('project_edit_button_{{ project.id }}');
			let project_chevron_{{ project.id }} = document.getElementById('project_{{ project.id }}_chevron');
			project_chevron_{{ project.id }}.parentNode.parentNode.insertBefore(edit_button_{{ project.id }}, null);
			let billing_detail_{{ project.id }} = document.getElementById('project_{{ project.id }}_billing_details');
			$('#project_{{ project.id }}_details div:eq(0)').after(billing_detail_{{ project.id }});
			$(billing_detail_{{ project.id }}).show();
		
        </script>
    {% endwith %}
{% endfor %}
